Bug 283108 - Messages without In-Reply-To: header are not properly sorted in thread view
Summary: Messages without In-Reply-To: header are not properly sorted in thread view
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: message list (show other bugs)
Version: 1.99.0
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-30 17:41 UTC by Rolf Eike Beer
Modified: 2011-12-20 11:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2011-09-30 17:41:48 UTC
Version:           1.99.0 (using KDE 4.7.1) 
OS:                Linux

I'm refering to the thread "Who relies on Soprano::Model::statement[s]Added|Removed signals?" on kde-core-devel. But this happens also to other threads on this list (and likely anywhere else, too). This can easily be spotted for all those mails injected by gmane.org.

What happens is that these mails have correct references, but no In-Reply-To: header. These mails are then always shown as direct children of the mail starting the thread, not those mails they are replies to.

Reproducible: Always

Steps to Reproduce:
Search this threads for mails injected by gmane.org users (they have the header X-Injected-Via-Gmane: http://gmane.org/). For the thread mentioned above this is e.g. this mail:

Message-ID: <slrnj8btu4.p7v.nospam@sshway.ssh.pusling.com>
References: <4E85A9B6.4070607@kde.org> <1818577.X8mjX0lsAh@bluebox>
From: Sune Vuorela <nospam@vuorela.dk>
Date: Fri, 30 Sep 2011 17:09:24 +0000 (UTC)


Actual Results:  
The mail is shown as child of <4E85A9B6.4070607@kde.org> (thread leader).

Expected Results:  
The mail is shown as child of <1818577.X8mjX0lsAh@bluebox>.

OS: Linux (x86_64) release 3.0.4-43-desktop
Compiler: gcc
Comment 1 Laurent Montel 2011-12-20 10:37:06 UTC
I confirm it. Will look at
Comment 2 Laurent Montel 2011-12-20 11:04:19 UTC
Git commit 15cb5cb37dd9c10263fa733d0e51d76aacb93fde by Montel Laurent.
Committed on 20/12/2011 at 12:02.
Pushed by mlaurent into branch 'master'.

Fix Bug 283108 - Messages without In-Reply-To: header are not properly sorted in thread view

The first reference is the first message of thread and second is the parent of message.
FIXED-IN: 4.8
BUG: 283108

M  +1    -1    messagelist/storagemodel.cpp

http://commits.kde.org/kdepim/15cb5cb37dd9c10263fa733d0e51d76aacb93fde
Comment 3 Laurent Montel 2011-12-20 11:05:03 UTC
Git commit 498863d32086f5bc003be834c9ee687427b9b8ac by Montel Laurent.
Committed on 20/12/2011 at 12:02.
Pushed by mlaurent into branch 'KDE/4.7'.

Fix Bug 283108 - Messages without In-Reply-To: header are not properly sorted in thread view

The first reference is the first message of thread and second is the parent of message.
FIXED-IN: 4.8
BUG: 283108
(cherry picked from commit 15cb5cb37dd9c10263fa733d0e51d76aacb93fde)

M  +1    -1    messagelist/storagemodel.cpp

http://commits.kde.org/kdepim/498863d32086f5bc003be834c9ee687427b9b8ac